Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

Debian 9 Stretch installation broken after 15.5.8801.3 update

Discussion in '3CX Phone System - General' started by phil.wade, Feb 13, 2018.

Thread Status:
Not open for further replies.
  1. phil.wade

    Joined:
    Jul 13, 2015
    Messages:
    13
    Likes Received:
    1
    Debian 9 Stretch installation hosted in Azure.

    I just ran the 15.5.6354.2 to 15.5.8801.3 update from the #/app/updates/all page of the 3cx web app. After that I could not login to the web app, stated a server error, and phones didn't work. A consultant tried the same thing after recovering the backup of the drives, and same response. 3cx was off line for half a business day, really bad for business.

    Anyone else getting this?
     
    #1 phil.wade, Feb 13, 2018
    Last edited: Feb 25, 2018
  2. jimbo59

    jimbo59 Member

    Joined:
    Nov 17, 2017
    Messages:
    358
    Likes Received:
    77
    I'd do a full install with the Debian ISO restoring from backup during the install. Should take less than an hour at most. I have 2 Debians working fine with latest SP outside of the call log issues.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. levbe

    Joined:
    Apr 27, 2008
    Messages:
    33
    Likes Received:
    3
    @phil.wade
    I've the same issue, i get a "server error" when i try to login to the web console.
    Did you solved the issue ?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. phil.wade

    Joined:
    Jul 13, 2015
    Messages:
    13
    Likes Received:
    1
    I have not tried a full install or tried anything since my last post. I'm hesitant to do anything until I have a lot of time on my hands to recover from another disaster.
     
  5. gallo

    Joined:
    Feb 7, 2018
    Messages:
    8
    Likes Received:
    2
    I have made the mistake to do a fresh install on OVH with Debian 9. It cant be completed, I tried all the ways with different debians (8 & 9) and all the instructions, It stopped in the same point

    ........The following packages have unmet dependencies:
    3cxpbx : Depends: libcurl3 (< 7.52.1) but 7.52.1-5+deb9u4 is to be installed
    E: Unable to correct problems, you have held broken packages................

    I believe something happens with the latest update, I have made more than 3 installations in OVH with Debian 8 & 9 a few months ago with no problem
     
  6. complex1

    complex1 Active Member

    Joined:
    Jan 25, 2010
    Messages:
    815
    Likes Received:
    49
    Hi,

    What if… you do a fresh install of e.g. v15.5 SP2 on OVH with Debian 9 and then do a upgrade to the latest version?
    Do that work for you?
    I have 4 Debian installs working fine on SP3 HotFix.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    7,430
    Likes Received:
    540
    @gallo

    Please check the file sources.list.d and let us know what repository do you see there.

    Connect via ssh and type
    Code:
    nano /etc/apt/sources.list.d/3cxpbx.list
    
    Also let us know what debian version you are running.
     
  8. gallo

    Joined:
    Feb 7, 2018
    Messages:
    8
    Likes Received:
    2
  9. gallo

    Joined:
    Feb 7, 2018
    Messages:
    8
    Likes Received:
    2
  10. gallo

    Joined:
    Feb 7, 2018
    Messages:
    8
    Likes Received:
    2
  11. gallo

    Joined:
    Feb 7, 2018
    Messages:
    8
    Likes Received:
    2
    I don't know if something changed in file sources but now everything seems OK, I did the installation twice (8 & 9) and the pbx is back.
     
  12. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    7,430
    Likes Received:
    540
    Glad to see the issue has been resolved but just as an FYI in Debian 8 the file should contain:

    Code:
    deb http://downloads.3cx.com/downloads/debian jessie main
    For Debian 9 the repository should be:

    Code:
    deb http://downloads-global.3cx.com/downloads/debian stretch main
     
  13. Said CHAKIR

    Joined:
    Dec 24, 2016
    Messages:
    3
    Likes Received:
    1
  14. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    7,430
    Likes Received:
    540
  15. Said CHAKIR

    Joined:
    Dec 24, 2016
    Messages:
    3
    Likes Received:
    1
    ok thank you very much.
     
Thread Status:
Not open for further replies.